<?php

/**
 * Results Controller
 *
 * @link 		https://entusiastics.com
 * @since 		1.0.0
 *
 * @package 	Entusiastics_Quiz_Game
 * @subpackage 	Entusiastics_Quiz_Game/admin/controllers
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class ResultsController {

	static function manage() {
		
		global $wpdb;
		$_result = new Result();
		
 		// select quiz
		$quiz = $wpdb->get_row($wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_QUIZZES." WHERE id=%d", intval($_GET['quiz_id'])));
		
		if(!empty($_POST['add'])) {
			try {
				$_POST['quiz_id'] = $quiz->id;
				$_result->add($_POST);
				entusiastics_quiz_game_redirect("admin.php?page=entusiastics-quiz-game-results&quiz_id=".$quiz->id);
			}
			catch(Exception $e) {
				$error = __('El resultado no fue agregado', 'entusiastics-quiz-game');
			}
		}
		
		if(!empty($_POST['save'])) {
			try {
				$_POST['description'] = $_POST['description'.intval($_POST['id'])];
				$_result->save($_POST, $_POST['id']);
			}
			catch(Exception $e) {
				$error = __('El resultado no se guardó', 'entusiastics-quiz-game');
			}
		}
		
		if(!empty($_POST['del'])) {
			try {
				$_result->delete($_POST['id']);
			}
			catch(Exception $e) {
				$error = __('El resultado no fue eliminado', 'entusiastics-quiz-game');
			}
		}
		
 		// select results
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM ".ENTUSIASTICS_QUIZ_GAME_RESULTS." WHERE quiz_id=%d ORDER BY id", $quiz->id));

		include(ENTUSIASTICS_QUIZ_GAME_PLUGIN_PATH."admin/partials/entusiastics-quiz-game-results.php");
	} // end manage()
}