<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="wrap">

	<h1>
		<?php _e('Editar la categoría', 'entusiastics-quiz-game') ?>
	</h1>

	<ul>

		<li class="all">

			<a href="admin.php?page=entusiastics-quiz-game-categories">
				<?php _e('Volver a las categorías', 'entusiastics-quiz-game') ?>
			</a>

		</li>

	</ul>

	<hr class="wp-header-end">

	<form name="edittag" id="edittag" method="post" onsubmit="return validateEntusiasticsQuizGameType(this);">

		<table class="form-table" role="presentation">

			<tr class="form-field form-required term-name-wrap">

				<th scope="row">
					<label for="name"><?php _e('Nombre', 'entusiastics-quiz-game')?></label>
				</th>

				<td>
					<input name="name" id="name" type="text" value="<?php echo @$category->name ?>" size="40" aria-required="true" />
					<p class="description"><?php _e('El nombre es cómo aparecerá en tu sitio.', 'entusiastics-quiz-game')?></p>
				</td>

			</tr>

			<tr class="form-field term-description-wrap">

				<th scope="row">
					<label for="category_description"><?php _e('Descripción', 'entusiastics-quiz-game')?></label>
				</th>

				<td>
					<textarea name="category_description" id="category_description" rows="5" cols="50" class="large-text"><?php echo @$category->description ?></textarea>
					<p class="description"><?php _e('Breve descripción de la categoría.', 'entusiastics-quiz-game')?></p>
				</td>

			</tr>

		</table>

		<div class="edit-tag-actions">

			<input type="hidden" name="ok" value="1" />
			<input type="submit" name="save" value="<?php _e('Actualizar', 'entusiastics-quiz-game')?>" class="button-primary"/>

		</div>

	</form>

	<div id="#name_notice" class="notice" style="display: none;">
		<p><?php _e('Por favor introduce un nombre para la categoría.','entusiastics-quiz-game') ?></p>
	</div>

	<?php wp_nonce_field('entusiastics_quiz_game_category');?>

</div>

<script type="text/javascript" >

	function validateEntusiasticsQuizGameType(frm) {

		if(frm.name.value == '') {
			$('#name_notice').css('display', 'block')
			frm.name.focus();
			return false;
		}

		return true;
	}

</script>