<?php

/**
 * Fired during plugin activation
 *
 * @link 		https://entusiastics.com
 * @since 		1.0.0
 *
 * @package 	Entusiastics_Quiz_Game
 * @subpackage 	Entusiastics_Quiz_Game/includes
 */

class Entusiastics_Quiz_Game_Activator {

	/**
	 * Declare custom post types, taxonomies, and plugin settings
	 * Flushes rewrite rules afterwards
	 *
	 * @since 		1.0.0
	 */
	public static function activate() {

		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'admin/entusiastics-quiz-game-admin.php';

		flush_rewrite_rules();

		$opts 		= array();
		$options 	= Entusiastics_Quiz_Game_Admin::get_options_list();

		foreach ( $options as $option ) {

			$opts[ $option[0] ] = $option[2];

		}

		update_option( 'entusiastics-quiz-game-options', $opts );

		Entusiastics_Quiz_Game_Admin::add_admin_notices();

	} // activate()
} // class
